# tr1/complex File Reference

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Defines

- #define _GLIBCXX_BEGIN_NAMESPACE_TR1
- #define _GLIBCXX_END_NAMESPACE_TR1
- #define _GLIBCXX_TR1

## Functions

- template<typename _Tp > std::complex< _Tp > std::tr1::conj (const std::complex< _Tp > &__z)
- template<typename _Tp > std::complex< typename
  __gnu_cxx::__promote< _Tp >
  ::__type > std::tr1::conj (_Tp __x)
- template<typename _Tp , typename _Up > std::complex< typename
  __gnu_cxx::__promote_2< _Tp,
  _Up >::__type > std::tr1::polar (const _Tp &__rho, const _Up &__theta)
- template<typename _Tp > std::complex< _Tp > std::tr1::pow (const std::complex< _Tp > &__x, const _Tp &__y)
- template<typename _Tp > std::complex< _Tp > std::tr1::pow (const _Tp &__x, const std::complex< _Tp > &__y)
- template<typename _Tp > std::complex< _Tp > std::tr1::pow (const std::complex< _Tp > &__x, const std::complex< _Tp > &__y)

## Detailed Description

This is a TR1 C++ Library header.

Definition in file tr1/complex.